<!-- 查看功能 -->
<template>
	<div style="height: 100%">
		<a-form
			:label-col="labelCol"
			:wrapper-col="wrapperCol"
			layout="horizontal"
			:disabled="componentDisabled"
			style="max-width: 1000px"
			class="form-box"
		>
			<a-row :gutter="42">
				<a-col :span="8">
					<a-form-item label="监测点名称"><a-input :disabled="true" v-model:value="typeObj.monitorName" /></a-form-item
				></a-col>
				<a-col :span="8">
					<a-form-item label="所属行政管理部门">
						<a-input :disabled="true" v-model:value="typeObj.orgName" /> </a-form-item
				></a-col>
				<a-col :span="8"
					><a-form-item label="详细地址"> <a-input :disabled="true" v-model:value="typeObj.address" /> </a-form-item
				></a-col>
			</a-row>
			<a-row :gutter="42">
				<a-col :span="8"
					><a-form-item label="价格采集人">
						<a-input :disabled="true" v-model:value="typeObj.userCollectName" /> </a-form-item
				></a-col>
				<a-col :span="8"
					><a-form-item label="联系方式"> <a-input :disabled="true" v-model:value="information" /> </a-form-item
				></a-col>
			</a-row>
		</a-form>
		<table style="width: 100%; height: 76%">
			<tr>
				<td colspan="3">品种</td>
				<td>收购价</td>
				<td>入库价</td>
				<td>出库价</td>
				<td>出厂价</td>
				<td>批发价</td>
				<td>零售价</td>
			</tr>
			<tr>
				<td rowspan="3">原粮</td>
				<td colspan="2">小麦</td>
				<td>{{ xm[0] }}</td>
				<td>{{ xm[1] }}</td>
				<td>{{ xm[2] }}</td>
				<td>{{ xm[3] }}</td>
				<td>{{ xm[4] }}</td>
				<td>{{ xm[5] }}</td>
			</tr>
			<tr>
				<td colspan="2">青稞</td>
				<td>{{ qk[0] || ' ' }}</td>
				<td>{{ qk[1] || ' ' }}</td>
				<td>{{ qk[2] || ' ' }}</td>
				<td>{{ qk[3] || ' ' }}</td>
				<td>{{ qk[4] || ' ' }}</td>
				<td>{{ qk[5] || ' ' }}</td>
			</tr>
			<tr>
				<td colspan="2">油菜籽</td>
				<td>{{ ycz[0] || ' ' }}</td>
				<td>{{ ycz[1] || ' ' }}</td>
				<td>{{ ycz[2] || ' ' }}</td>
				<td>{{ ycz[3] || ' ' }}</td>
				<td>{{ ycz[4] || ' ' }}</td>
				<td>{{ ycz[5] || ' ' }}</td>
			</tr>
			<tr>
				<td rowspan="3">杂粮</td>
				<td colspan="2">黄豆</td>
				<td>{{ hd[0] || ' ' }}</td>
				<td>{{ hd[1] || ' ' }}</td>
				<td>{{ hd[2] || ' ' }}</td>
				<td>{{ hd[3] || ' ' }}</td>
				<td>{{ hd[4] || ' ' }}</td>
				<td>{{ hd[5] || ' ' }}</td>
			</tr>
			<tr>
				<td colspan="2">玉米面</td>
				<td>{{ ymm[0] || ' ' }}</td>
				<td>{{ ymm[1] || ' ' }}</td>
				<td>{{ ymm[2] || ' ' }}</td>
				<td>{{ ymm[3] || ' ' }}</td>
				<td>{{ ymm[4] || ' ' }}</td>
				<td>{{ ymm[5] || ' ' }}</td>
			</tr>
			<tr>
				<td colspan="2">小米</td>
				<td>{{ xiaom[0] || ' ' }}</td>
				<td>{{ xiaom[1] || ' ' }}</td>
				<td>{{ xiaom[2] || ' ' }}</td>
				<td>{{ xiaom[3] || ' ' }}</td>
				<td>{{ xiaom[4] || ' ' }}</td>
				<td>{{ xiaom[5] || ' ' }}</td>
			</tr>
			<tr>
				<td rowspan="9">成品粮</td>
				<td rowspan="3">菜籽油</td>
				<td>一级菜籽油</td>
				<td>{{ yjczy[0] || ' ' }}</td>
				<td>{{ yjczy[1] || ' ' }}</td>
				<td>{{ yjczy[2] || ' ' }}</td>
				<td>{{ yjczy[3] || ' ' }}</td>
				<td>{{ yjczy[4] || ' ' }}</td>
				<td>{{ yjczy[5] || ' ' }}</td>
			</tr>
			<tr>
				<td>三级菜籽油</td>
				<td>{{ sjczy[0] || ' ' }}</td>
				<td>{{ sjczy[1] || ' ' }}</td>
				<td>{{ sjczy[2] || ' ' }}</td>
				<td>{{ sjczy[3] || ' ' }}</td>
				<td>{{ sjczy[4] || ' ' }}</td>
				<td>{{ sjczy[5] || ' ' }}</td>
			</tr>
			<tr>
				<td>小榨菜籽油</td>
				<td>{{ xzczy[0] || ' ' }}</td>
				<td>{{ xzczy[1] || ' ' }}</td>
				<td>{{ xzczy[2] || ' ' }}</td>
				<td>{{ xzczy[3] || ' ' }}</td>
				<td>{{ xzczy[4] || ' ' }}</td>
				<td>{{ xzczy[5] || ' ' }}</td>
			</tr>
			<tr>
				<td rowspan="2">面粉</td>
				<td>特一粉</td>
				<td>{{ tyf[0] || ' ' }}</td>
				<td>{{ tyf[1] || ' ' }}</td>
				<td>{{ tyf[2] || ' ' }}</td>
				<td>{{ tyf[3] || ' ' }}</td>
				<td>{{ tyf[4] || ' ' }}</td>
				<td>{{ tyf[5] || ' ' }}</td>
			</tr>
			<tr>
				<td>牛肉面粉</td>
				<td>{{ nrmf[0] || ' ' }}</td>
				<td>{{ nrmf[1] || ' ' }}</td>
				<td>{{ nrmf[2] || ' ' }}</td>
				<td>{{ nrmf[3] || ' ' }}</td>
				<td>{{ nrmf[4] || ' ' }}</td>
				<td>{{ nrmf[5] || ' ' }}</td>
			</tr>
			<tr>
				<td rowspan="2">粳米</td>
				<td>一级长粒粳米</td>
				<td>{{ yjclgm[0] || ' ' }}</td>
				<td>{{ yjclgm[1] || ' ' }}</td>
				<td>{{ yjclgm[2] || ' ' }}</td>
				<td>{{ yjclgm[3] || ' ' }}</td>
				<td>{{ yjclgm[4] || ' ' }}</td>
				<td>{{ yjclgm[5] || ' ' }}</td>
			</tr>
			<tr>
				<td>一级圆粒粳米</td>
				<td>{{ yjylgm[0] || ' ' }}</td>
				<td>{{ yjylgm[1] || ' ' }}</td>
				<td>{{ yjylgm[2] || ' ' }}</td>
				<td>{{ yjylgm[3] || ' ' }}</td>
				<td>{{ yjylgm[4] || ' ' }}</td>
				<td>{{ yjylgm[5] || ' ' }}</td>
			</tr>
			<tr></tr>
			<tr></tr>
			<tr>
				<td rowspan="3">储备粮</td>
				<td colspan="2">省级储备小麦</td>
				<td>{{ sjcbxm[0] || ' ' }}</td>
				<td>{{ sjcbxm[1] || ' ' }}</td>
				<td>{{ sjcbxm[2] || ' ' }}</td>
				<td>{{ sjcbxm[3] || ' ' }}</td>
				<td>{{ sjcbxm[4] || ' ' }}</td>
				<td>{{ sjcbxm[5] || ' ' }}</td>
			</tr>
			<tr>
				<td colspan="2">省级储备青稞</td>
				<td>{{ sjcbqk[0] || ' ' }}</td>
				<td>{{ sjcbqk[1] || ' ' }}</td>
				<td>{{ sjcbqk[2] || ' ' }}</td>
				<td>{{ sjcbqk[3] || ' ' }}</td>
				<td>{{ sjcbqk[4] || ' ' }}</td>
				<td>{{ sjcbqk[5] || ' ' }}</td>
			</tr>
			<tr>
				<td colspan="2">省级储备菜籽油</td>
				<td>{{ sjcbczy[0] || ' ' }}</td>
				<td>{{ sjcbczy[1] || ' ' }}</td>
				<td>{{ sjcbczy[2] || ' ' }}</td>
				<td>{{ sjcbczy[3] || ' ' }}</td>
				<td>{{ sjcbczy[4] || ' ' }}</td>
				<td>{{ sjcbczy[5] || ' ' }}</td>
			</tr>
			<tr rowspan="3">
				<td colspan="9" class="remark">
					<a-textarea class="text-input" :disabled="true" v-model:value="remark" placeholder="备注" :rows="9" />
				</td>
			</tr>
		</table>
	</div>
</template>

<script setup>
	import bizGrainPriceCollectApi from '@/api/basic.info/bizGrainPriceCollectApi'
	const remark = ref('')
	const information = ref('')
	const props = defineProps({
		detailsData: {
			type: Object,
			default: () => {}
		}
	})
	const arrList = ref([])
	const xm = ref([])
	const qk = ref([])
	const ycz = ref([])
	const hd = ref([])
	const ymm = ref([])
	const xiaom = ref([])
	const yjczy = ref([]) //三级分类
	const sjczy = ref([]) //三级分类
	const xzczy = ref([]) //三级分类
	const tyf = ref([]) //三级分类
	const nrmf = ref([]) //三级分类
	const yjclgm = ref([]) //三级分类
	const yjylgm = ref([]) //三级分类
	const sjcbxm = ref([]) //省级
	const sjcbqk = ref([])
	const sjcbczy = ref([])
	const typeObj = computed(() => props.detailsData)
	// 查看详情数据
	const getDetailData = () => {
		const id = typeObj.value.id
		bizGrainPriceCollectApi.bizGrainPriceCollectDetail({ id }).then((res) => {
			xm.value = []
			qk.value = []
			ycz.value = []
			hd.value = []
			ymm.value = []
			xiaom.value = []
			yjczy.value = []
			sjczy.value = []
			xzczy.value = []
			tyf.value = []
			nrmf.value = []
			yjclgm.value = []
			yjylgm.value = []
			sjcbxm.value = []
			sjcbqk.value = []
			sjcbczy.value = []
			remark.value = res.remark
			information.value = res.userCollectPhone
			arrList.value = res.collectCategoryList
			arrList.value.forEach((item) => {
				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 1) {
					if (item.price) {
						xm.value[0] = item.price
					}
				} else if (item.priceType === 1 && xm.value.length <= 0) {
					return (xm.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 2) {
					if (item.price) {
						xm.value[1] = item.price
					}
				} else if (item.priceType === 2 && xm.value.length <= 1) {
					return (xm.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 3) {
					if (item.price) {
						xm.value[2] = item.price
					}
				} else if (item.priceType === 3 && xm.value.length <= 2) {
					return (xm.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 4) {
					if (item.price) {
						xm.value[3] = item.price
					}
				} else if (item.priceType === 4 && xm.value.length <= 3) {
					return (xm.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 5) {
					if (item.price) {
						xm.value[4] = item.price
					}
				} else if (item.priceType === 5 && xm.value.length <= 4) {
					return (xm.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 11 && item.priceType === 6) {
					if (item.price) {
						xm.value[5] = item.price
					}
				} else if (item.priceType === 1 && xm.value.length <= 5) {
					return (xm.value[5] = null)
				}

				//青稞数据
				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 1) {
					if (item.price) {
						qk.value[0] = item.price
					}
				} else if (item.priceType === 1 && qk.value.length <= 0) {
					return (qk.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 2) {
					if (item.price) {
						qk.value[1] = item.price
					}
				} else if (item.priceType === 2 && qk.value.length <= 1) {
					return (qk.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 3) {
					if (item.price) {
						qk.value[2] = item.price
					}
				} else if (item.priceType === 3 && qk.value.length <= 2) {
					return (qk.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 4) {
					if (item.price) {
						qk.value[3] = item.price
					}
				} else if (item.priceType === 4 && qk.value.length <= 3) {
					return (qk.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 5) {
					if (item.price) {
						qk.value[4] = item.price
					}
				} else if (item.priceType === 5 && qk.value.length <= 4) {
					return (qk.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 6) {
					if (item.price) {
						qk.value[5] = item.price
					}
				} else if (item.priceType === 6 && qk.value.length <= 5) {
					return (qk.value[5] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 1) {
					if (item.price) {
						qk.value[0] = item.price
					}
				} else if (item.priceType === 1 && qk.value.length <= 0) {
					return (qk.value[0] = null)
				}
				//油菜籽
				if (item.threeLevel === 0 && item.secondLevel === 13 && item.priceType === 2) {
					if (item.price) {
						ycz.value[1] = item.price
					}
				} else if (item.priceType === 2 && ycz.value.length <= 1) {
					return (ycz.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 13 && item.priceType === 3) {
					if (item.price) {
						ycz.value[2] = item.price
					}
				} else if (item.priceType === 3 && ycz.value.length <= 2) {
					return (ycz.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 13 && item.priceType === 4) {
					if (item.price) {
						ycz.value[3] = item.price
					}
				} else if (item.priceType === 4 && ycz.value.length <= 3) {
					return (ycz.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 13 && item.priceType === 5) {
					if (item.price) {
						ycz.value[4] = item.price
					}
				} else if (item.priceType === 5 && ycz.value.length <= 4) {
					return (ycz.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 13 && item.priceType === 6) {
					if (item.price) {
						ycz.value[5] = item.price
					}
				} else if (item.priceType === 6 && ycz.value.length <= 5) {
					return (ycz.value[5] = null)
				}
				//黄豆

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 1) {
					if (item.price) {
						hd.value[0] = item.price
					}
				} else if (item.priceType === 1 && hd.value.length <= 0) {
					return (hd.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 2) {
					if (item.price) {
						hd.value[1] = item.price
					}
				} else if (item.priceType === 2 && hd.value.length <= 1) {
					return (hd.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 3) {
					if (item.price) {
						hd.value[2] = item.price
					}
				} else if (item.priceType === 3 && hd.value.length <= 2) {
					return (hd.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 4) {
					if (item.price) {
						hd.value[3] = item.price
					}
				} else if (item.priceType === 4 && hd.value.length <= 3) {
					return (hd.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 5) {
					if (item.price) {
						hd.value[4] = item.price
					}
				} else if (item.priceType === 5 && hd.value.length <= 4) {
					return (hd.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 21 && item.priceType === 6) {
					if (item.price) {
						hd.value[5] = item.price
					}
				} else if (item.priceType === 6 && hd.value.length <= 5) {
					return (hd.value[5] = null)
				}

				//玉米面
				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 1) {
					if (item.price) {
						ymm.value[0] = item.price
					}
				} else if (item.priceType === 1 && ymm.value.length <= 0) {
					return (ymm.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 2) {
					if (item.price) {
						ymm.value[1] = item.price
					}
				} else if (item.priceType === 2 && ymm.value.length <= 1) {
					return (ymm.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 3) {
					if (item.price) {
						ymm.value[2] = item.price
					}
				} else if (item.priceType === 3 && ymm.value.length <= 2) {
					return (ymm.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 4) {
					if (item.price) {
						ymm.value[3] = item.price
					}
				} else if (item.priceType === 4 && ymm.value.length <= 3) {
					return (ymm.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 5) {
					if (item.price) {
						ymm.value[4] = item.price
					}
				} else if (item.priceType === 5 && ymm.value.length <= 4) {
					return (ymm.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 22 && item.priceType === 6) {
					if (item.price) {
						ymm.value[5] = item.price
					}
				} else if (item.priceType === 6 && ymm.value.length <= 5) {
					return (ymm.value[5] = null)
				}
				//小米

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 1) {
					if (item.price) {
						xiaom.value[0] = item.price
					}
				} else if (item.priceType === 1 && xiaom.value.length <= 0) {
					return (xiaom.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 2) {
					if (item.price) {
						xiaom.value[1] = item.price
					}
				} else if (item.priceType === 2 && xiaom.value.length <= 1) {
					return (xiaom.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 3) {
					if (item.price) {
						xiaom.value[2] = item.price
					}
				} else if (item.priceType === 3 && xiaom.value.length <= 2) {
					return (xiaom.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 4) {
					if (item.price) {
						xiaom.value[3] = item.price
					}
				} else if (item.priceType === 4 && xiaom.value.length <= 3) {
					return (xiaom.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 5) {
					if (item.price) {
						xiaom.value[4] = item.price
					}
				} else if (item.priceType === 5 && xiaom.value.length <= 4) {
					return (xiaom.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 12 && item.priceType === 6) {
					if (item.price) {
						xiaom.value[5] = item.price
					}
				} else if (item.priceType === 6 && xiaom.value.length <= 5) {
					return (xiaom.value[5] = null)
				}
				//省级储备小麦
				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 1) {
					if (item.price) {
						sjcbxm.value[0] = item.price
					}
				} else if (item.priceType === 1 && sjcbxm.value.length <= 0) {
					return (sjcbxm.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 2) {
					if (item.price) {
						sjcbxm.value[1] = item.price
					}
				} else if (item.priceType === 2 && sjcbxm.value.length <= 1) {
					return (sjcbxm.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 3) {
					if (item.price) {
						sjcbxm.value[2] = item.price
					}
				} else if (item.priceType === 3 && sjcbxm.value.length <= 2) {
					return (sjcbxm.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 4) {
					if (item.price) {
						sjcbxm.value[3] = item.price
					}
				} else if (item.priceType === 4 && sjcbxm.value.length <= 3) {
					return (sjcbxm.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 5) {
					if (item.price) {
						sjcbxm.value[4] = item.price
					}
				} else if (item.priceType === 5 && sjcbxm.value.length <= 4) {
					return (sjcbxm.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 41 && item.priceType === 6) {
					if (item.price) {
						sjcbxm.value[5] = item.price
					}
				} else if (item.priceType === 6 && sjcbxm.value.length <= 5) {
					return (sjcbxm.value[5] = null)
				}
				//省级储备青稞
				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 1) {
					if (item.price) {
						sjcbqk.value[0] = item.price
					}
				} else if (item.priceType === 1 && sjcbqk.value.length <= 0) {
					return (sjcbqk.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 2) {
					if (item.price) {
						sjcbqk.value[1] = item.price
					}
				} else if (item.priceType === 2 && sjcbqk.value.length <= 1) {
					return (sjcbqk.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 3) {
					if (item.price) {
						sjcbqk.value[2] = item.price
					}
				} else if (item.priceType === 3 && sjcbqk.value.length <= 2) {
					return (sjcbqk.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 4) {
					if (item.price) {
						sjcbqk.value[3] = item.price
					}
				} else if (item.priceType === 4 && sjcbqk.value.length <= 3) {
					return (sjcbqk.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 5) {
					if (item.price) {
						sjcbqk.value[4] = item.price
					}
				} else if (item.priceType === 5 && sjcbqk.value.length <= 4) {
					return (sjcbqk.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 42 && item.priceType === 6) {
					if (item.price) {
						sjcbqk.value[5] = item.price
					}
				} else if (item.priceType === 6 && sjcbqk.value.length <= 5) {
					return (sjcbqk.value[5] = null)
				}
				//省级储备菜籽油
				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 1) {
					if (item.price) {
						sjcbczy.value[0] = item.price
					}
				} else if (item.priceType === 1 && sjcbczy.value.length <= 0) {
					return (sjcbczy.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 2) {
					if (item.price) {
						sjcbczy.value[1] = item.price
					}
				} else if (item.priceType === 2 && sjcbczy.value.length <= 1) {
					return (sjcbczy.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 3) {
					if (item.price) {
						sjcbczy.value[2] = item.price
					}
				} else if (item.priceType === 3 && sjcbczy.value.length <= 2) {
					return (sjcbczy.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 4) {
					if (item.price) {
						sjcbczy.value[3] = item.price
					}
				} else if (item.priceType === 4 && sjcbczy.value.length <= 3) {
					return (sjcbczy.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 5) {
					if (item.price) {
						sjcbczy.value[4] = item.price
					}
				} else if (item.priceType === 5 && sjcbczy.value.length <= 4) {
					return (sjcbczy.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 43 && item.priceType === 6) {
					if (item.price) {
						sjcbczy.value[5] = item.price
					}
				} else if (item.priceType === 6 && sjcbczy.value.length <= 5) {
					return (sjcbczy.value[5] = null)
				}
				//一级菜籽油

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 1) {
					if (item.price) {
						yjczy.value[0] = item.price
					}
				} else if (item.priceType === 1 && yjczy.value.length <= 0) {
					return (yjczy.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 2) {
					if (item.price) {
						yjczy.value[1] = item.price
					}
				} else if (item.priceType === 2 && yjczy.value.length <= 1) {
					return (yjczy.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 3) {
					if (item.price) {
						yjczy.value[2] = item.price
					}
				} else if (item.priceType === 3 && yjczy.value.length <= 2) {
					return (yjczy.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 4) {
					if (item.price) {
						yjczy.value[3] = item.price
					}
				} else if (item.priceType === 4 && yjczy.value.length <= 3) {
					return (yjczy.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 5) {
					if (item.price) {
						yjczy.value[4] = item.price
					}
				} else if (item.priceType === 5 && yjczy.value.length <= 4) {
					return (yjczy.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 311 && item.priceType === 6) {
					if (item.price) {
						yjczy.value[5] = item.price
					}
				} else if (item.priceType === 6 && yjczy.value.length <= 5) {
					return (yjczy.value[5] = null)
				}

				//三级菜籽油
				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 1) {
					if (item.price) {
						sjczy.value[0] = item.price
					}
				} else if (item.priceType === 1 && sjczy.value.length <= 0) {
					return (sjczy.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 2) {
					if (item.price) {
						sjczy.value[1] = item.price
					}
				} else if (item.priceType === 2 && sjczy.value.length <= 1) {
					return (sjczy.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 3) {
					if (item.price) {
						sjczy.value[2] = item.price
					}
				} else if (item.priceType === 3 && sjczy.value.length <= 2) {
					return (sjczy.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 4) {
					if (item.price) {
						sjczy.value[3] = item.price
					}
				} else if (item.priceType === 4 && sjczy.value.length <= 3) {
					return (sjczy.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 5) {
					if (item.price) {
						sjczy.value[4] = item.price
					}
				} else if (item.priceType === 5 && sjczy.value.length <= 4) {
					return (sjczy.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 312 && item.priceType === 6) {
					if (item.price) {
						sjczy.value[5] = item.price
					}
				} else if (item.priceType === 6 && sjczy.value.length <= 5) {
					return (sjczy.value[5] = null)
				}
				//小榨菜籽油
				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 1) {
					if (item.price) {
						xzczy.value[0] = item.price
					}
				} else if (item.priceType === 1 && xzczy.value.length <= 0) {
					return (xzczy.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 2) {
					if (item.price) {
						xzczy.value[1] = item.price
					}
				} else if (item.priceType === 2 && xzczy.value.length <= 1) {
					return (xzczy.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 3) {
					if (item.price) {
						xzczy.value[2] = item.price
					}
				} else if (item.priceType === 3 && xzczy.value.length <= 2) {
					return (xzczy.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 4) {
					if (item.price) {
						xzczy.value[3] = item.price
					}
				} else if (item.priceType === 4 && xzczy.value.length <= 3) {
					return (xzczy.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 5) {
					if (item.price) {
						xzczy.value[4] = item.price
					}
				} else if (item.priceType === 5 && xzczy.value.length <= 4) {
					return (xzczy.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 313 && item.priceType === 6) {
					if (item.price) {
						xzczy.value[5] = item.price
					}
				} else if (item.priceType === 6 && xzczy.value.length <= 5) {
					return (xzczy.value[5] = null)
				}
				//特一粉
				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 1) {
					if (item.price) {
						tyf.value[0] = item.price
					}
				} else if (item.priceType === 1 && tyf.value.length <= 0) {
					return (tyf.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 2) {
					if (item.price) {
						tyf.value[1] = item.price
					}
				} else if (item.priceType === 2 && tyf.value.length <= 1) {
					return (tyf.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 3) {
					if (item.price) {
						tyf.value[2] = item.price
					}
				} else if (item.priceType === 3 && tyf.value.length <= 2) {
					return (tyf.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 4) {
					if (item.price) {
						tyf.value[3] = item.price
					}
				} else if (item.priceType === 4 && tyf.value.length <= 3) {
					return (tyf.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 5) {
					if (item.price) {
						tyf.value[4] = item.price
					}
				} else if (item.priceType === 5 && tyf.value.length <= 4) {
					return (tyf.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 321 && item.priceType === 6) {
					if (item.price) {
						tyf.value[5] = item.price
					}
				} else if (item.priceType === 6 && tyf.value.length <= 5) {
					return (tyf.value[5] = null)
				}

				//牛肉面粉
				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 1) {
					if (item.price) {
						nrmf.value[0] = item.price
					}
				} else if (item.priceType === 1 && nrmf.value.length <= 0) {
					return (nrmf.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 2) {
					if (item.price) {
						nrmf.value[1] = item.price
					}
				} else if (item.priceType === 2 && nrmf.value.length <= 1) {
					return (nrmf.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 3) {
					if (item.price) {
						nrmf.value[2] = item.price
					}
				} else if (item.priceType === 3 && nrmf.value.length <= 2) {
					return (nrmf.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 4) {
					if (item.price) {
						nrmf.value[3] = item.price
					}
				} else if (item.priceType === 4 && nrmf.value.length <= 3) {
					return (nrmf.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 5) {
					if (item.price) {
						nrmf.value[4] = item.price
					}
				} else if (item.priceType === 5 && nrmf.value.length <= 4) {
					return (nrmf.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 322 && item.priceType === 6) {
					if (item.price) {
						nrmf.value[5] = item.price
					}
				} else if (item.priceType === 6 && nrmf.value.length <= 5) {
					return (nrmf.value[5] = null)
				}
				//一级长粒粳米
				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 1) {
					if (item.price) {
						yjclgm.value[0] = item.price
					}
				} else if (item.priceType === 1 && yjclgm.value.length <= 0) {
					return (yjclgm.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 2) {
					if (item.price) {
						yjclgm.value[1] = item.price
					}
				} else if (item.priceType === 2 && yjclgm.value.length <= 1) {
					return (yjclgm.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 3) {
					if (item.price) {
						yjclgm.value[2] = item.price
					}
				} else if (item.priceType === 3 && yjclgm.value.length <= 2) {
					return (yjclgm.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 4) {
					if (item.price) {
						yjclgm.value[3] = item.price
					}
				} else if (item.priceType === 4 && yjclgm.value.length <= 3) {
					return (yjclgm.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 5) {
					if (item.price) {
						yjclgm.value[4] = item.price
					}
				} else if (item.priceType === 5 && yjclgm.value.length <= 4) {
					return (yjclgm.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 331 && item.priceType === 6) {
					if (item.price) {
						yjclgm.value[5] = item.price
					}
				} else if (item.priceType === 6 && yjclgm.value.length <= 5) {
					return (yjclgm.value[5] = null)
				}
				//一级圆粒粳米
				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 1) {
					if (item.price) {
						yjylgm.value[0] = item.price
					}
				} else if (item.priceType === 1 && yjylgm.value.length <= 0) {
					return (yjylgm.value[0] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 2) {
					if (item.price) {
						yjylgm.value[1] = item.price
					}
				} else if (item.priceType === 2 && yjylgm.value.length <= 1) {
					return (yjylgm.value[1] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 3) {
					if (item.price) {
						yjylgm.value[2] = item.price
					}
				} else if (item.priceType === 3 && yjylgm.value.length <= 2) {
					return (yjylgm.value[2] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 4) {
					if (item.price) {
						yjylgm.value[3] = item.price
					}
				} else if (item.priceType === 4 && yjylgm.value.length <= 3) {
					return (yjylgm.value[3] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 5) {
					if (item.price) {
						yjylgm.value[4] = item.price
					}
				} else if (item.priceType === 5 && yjylgm.value.length <= 4) {
					return (yjylgm.value[4] = null)
				}

				if (item.threeLevel === 0 && item.secondLevel === 332 && item.priceType === 6) {
					if (item.price) {
						yjylgm.value[5] = item.price
					}
				} else if (item.priceType === 6 && yjylgm.value.length <= 5) {
					return (yjylgm.value[5] = null)
				}
			})
		})
	}
	onMounted(() => {})
	watch(
		() => props.detailsData,
		async (newValue, oldvalue) => {
			await nextTick()
			getDetailData()
		},
		{ deep: true, immediate: true }
	)
</script>
<style lang="less" scoped>
	table {
		text-align: center;
		border: 1px solid #000;
	}
	td {
		border: 1px solid #000;
	}
	.ant-form-item-control-input {
		width: 260px;
	}
	.form-box {
		margin-bottom: 24px;
	}
	.text-input {
		background-color: initial;
		border: none;
	}
</style>
